# url.h File Reference

`#include <ptlib/pfactory.h>`

Go to the source code of this file.

## Classes

class | PURL
| This class describes a Universal Resource Locator. More...
class | PURLScheme
class | PURLLegacyScheme
class | PURLLoader

## Defines

#define | PURL_LEGACY_SCHEME(schemeName, user, pass, host, def, defhost, query, params, frags, path, rel, port)

## Typedefs

typedef PFactory< PURLScheme > | PURLSchemeFactory
typedef PFactory< PURLLoader > | PURLLoaderFactory

## Define Documentation

#define PURL_LEGACY_SCHEME | ( | schemeName,
|  | user,
|  | pass,
|  | host,
|  | def,
|  | defhost,
|  | query,
|  | params,
|  | frags,
|  | path,
|  | rel,
|  | port |  | ) |

Value:

    class PURLLegacyScheme_##schemeName : public PURLLegacyScheme \
      { \
        public: \
          PURLLegacyScheme_##schemeName() \
            : PURLLegacyScheme(#schemeName, user, pass, host, def, defhost, query, params, frags, path, rel, port) \
            { } \
      }; \
      static PURLSchemeFactory::Worker<PURLLegacyScheme_##schemeName> schemeName##Factory(#schemeName, true); \

## Typedef Documentation

typedef PFactory<PURLLoader> PURLLoaderFactory

typedef PFactory<PURLScheme> PURLSchemeFactory